[blfs-dev] Libexec WebKitGTK [Was ... r12813 ...]

Armin K. krejzi at email.com
Mon Mar 3 21:17:34 PST 2014



On 4.3.2014 5:51, Fernando de Oliveira wrote:
> There are definitely problems, here.
>
> 1. Directories have wrong names and one is missing in webkitgtk-1.10.2.
>
> /usr/include/webkitgtk-1.0
> /usr/share/gtk-doc/html/webkitgtk
> /usr/share/webkitgtk-1.0
>
>
> 2. Libraries with wrong names: libwebkitgtk-1.0.so and
> libjavascriptcoregtk-1.0.so (latter is correct).
>
>
> 3. A common directory, with many files with same name.
>
>
>      webkitgtk-2.2.4	                  webkitgtk-1.10.2
> /usr/share/gtk-doc/html/webkitgtk      /usr/share/gtk-doc/html/webkitgtk
>
> It is easy to fix 1. and 2. But what can be done with 3?
>
> I am thinking of adding, after "make install":
>
> webkitgtk-2.2.4:
> mv -vi /usr/share/gtk-doc/html/webkitgtk \
>         /usr/share/gtk-doc/html/webkitgtk-2.0
>
> webkitgtk-1.10.2
> mv -vi /usr/share/gtk-doc/html/webkitgtk \
>         /usr/share/gtk-doc/html/webkitgtk-1.0
>
>

For 3. I'd suggest the same as for python docs. Since they are developer 
docs and developer should only use latest version to develop against, 
the docs for the latter (1.10.x) should be disabled explicitly.

--disable-gtk-doc or --disable-gtk-doc-html ... Try one.



More information about the blfs-dev mailing list